> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/elastic-ip/changeeipbindtype.md).

# ChangeEipBindType

## 1. API Description

This API (ChangeEipBindType) is used to change elastic IP mode.

{% hint style="info" %}
**Notes**

* Only elastic IPs bound to a vNIC or HaVip support this operation.
* To change the elastic mode, backend configuration is required. Please contact Console Support.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type                                                             | Description                                                                                                            |
| -------------- | -------- | ---------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------- |
| eipId          | Yes      | String                                                           | ID of elastic IP.                                                                                                      |
| bindType       | Yes      | [BindType](/api-reference/compute/zec/datastructure.md#bindtype) | <p>Bind type.</p><p>Only effective when the elastic IP is bound to a vNIC or HaVip.</p><p>Default value: NAT mode.</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Change elastic IP mode.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ChangeEipBindType
<Common Request Params>

Request：
{
    "eipId": "<eipId1>",
    "bindType": "FullNat"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                          | Description                                                                 |
| ---------------- | --------------------------------------------------- | --------------------------------------------------------------------------- |
| 404              | INVALID\_EIP\_NOT\_FOUND                            | Elastic IP does not exist.                                                  |
| 400              | OPERATION\_DENIED\_EIP\_NOT\_ASSIGNED               | Elastic IP is not bound.                                                    |
| 400              | OPERATION\_DENIED\_EIP\_NOT\_ASSIGN\_NIC\_OR\_HAVIP | Modifying the EIP binding method only supports EIPs bound to the NIC/HaVip. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/zec/elastic-ip/changeeipbindtype.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
